> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/thesports-docs/advanced-data/team-ability.md).

# Team Ability

## Team Ability

> Return full team ability data,and obtain new or changed data according to the time\<br/>\<br/>1,Full update for the first time,full data is obtained according to the parameter page (Page increases by 1, loop to get the interface, total is 0, and the loop ends)\<br/>2,Subsequent incremental update,obtain change data according to the parameter time increment (recommended request frequency:1min/time)

```json
{"openapi":"3.0.1","info":{"title":"Football API","version":"1.0.251028"},"tags":[{"name":"ADVANCED DATA","description":"ADVANCED DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/football/team/ability/list":{"get":{"tags":["ADVANCED DATA"],"description":"Return full team ability data,and obtain new or changed data according to the time<br/><br/>1,Full update for the first time,full data is obtained according to the parameter page (Page increases by 1, loop to get the interface, total is 0, and the loop ends)<br/>2,Subsequent incremental update,obtain change data according to the parameter time increment (recommended request frequency:1min/time)","summary":"Team Ability","operationID":"getTeamAbility","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"$ref":"#/components/parameters/Page100"},{"$ref":"#/components/parameters/Time"},{"$ref":"#/components/parameters/Uuid"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"query":{"$ref":"#/common/schemas/Query"},"results":{"type":"array","description":"Team Ability","items":{"$ref":"#/components/schemas/TeamAbility"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}},"Page100":{"name":"page","in":"query","description":"page query,return the data of the query page number (starting from 1), the default is 100","schema":{"type":"integer","format":"int32"}},"Time":{"name":"time","in":"query","description":"time query,return records (timestamp) greater than or equal to the update time,sorted according to the update time","schema":{"type":"integer","format":"int32"}},"Uuid":{"name":"uuid","in":"query","description":"uuid query,return the queried uuid data","schema":{"type":"string"}}},"schemas":{"TeamAbility":{"type":"object","properties":{"id":{"type":"string","description":"Team id"},"comprehensive":{"type":"integer","description":"Team comprehensive ability"},"ability":{"type":"array","description":"Ability Type description:<br/>31 - Attacking<br/>32 - Organization<br/>33 - Defending<br/>34 - Transition<br/>35 - Set piece<br/>36 - System<br/><br/>example:  [[31, 94, 0], [32, 90, 0], [33, 92, 0], [34, 92, 0], [35, 89, 0], [36, 91, 0]]","items":{"$ref":"#/deps/schemas/Teamability"}},"ability_detail":{"type":"array","description":"Ability detail Type description:<br/>31 - Attacking detail: 1. finishing, 2. individual attacking, 3. attacking variety, 4. sustained pressure, 5. long shots, 6. chance conversion<br/>32 - Organization detail: 1. game control, 2. center penetration, 3. settled play creativity, 4. width utilization, 5. playmaking, 6. build-up play<br/>33 - Defending detail: 1. defensive efficiency, 2. chance prevention, 3. high press, 4. defensive shape, 5. individual defending, 6. aerial dominance<br/>34 - Transition detail: 1. defensive transition, 2. offensive transition, 3. transition decision making, 4. transition hub<br/>35 - Set piece detail: 1. set piece attack, 2. set piece defense, 3. penalty, 4. set piece routines<br/>36 - System detail: 1. squad robustness, 2. coaching adaptation, 3. mentality discipline, 4. endurance consistency<br/><br/>example:  [31, [1, 86, 0, 3], [2, 93, 0, 1], [3, 91, 0, 1], [4, 92, 0, 1], [5, 85, 0, 3], [6, 87, 0, 1]]","items":{"$ref":"#/deps/schemas/Teamabilitydetail"}},"updated_at":{"type":"integer","description":"Update time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"Query":{"type":"object","description":"Inquiry","properties":{"total":{"type":"integer","description":"Return the total amount of data"},"type":{"type":"string","description":"Query type,uuid query:uuid,page query:page,time query:time,default page"},"uuid":{"type":"string","description":"uuid query value (uuid query,field exists)"},"page":{"type":"integer","description":"page query value (page query,field exists)"},"time":{"type":"integer","description":"time query value,timestamp format (time query,field exists)"},"min_time":{"type":"integer","description":"Return the smallest time in the data(updated_at value) (time query,field exists)"},"max_time":{"type":"integer","description":"Return the largest time in the data(updated_at value) (time query,field exists)"}}},"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}},"deps":{"schemas":{"Teamability":{"type":"array","items":"","description":"**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Ability Type | Integer |\n| `1` | Ability, full score is 100 | Integer |\n| `2` | Compatible ignore | String |\n"},"Teamabilitydetail":{"type":"array","items":"","description":"**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Ability Type | Integer |\n| `1` | Nested array; see details below | Array |\n\n**Index `1` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `1[0]` | Ability detail Type | Integer |\n| `1[1]` | Ability detail, full score is 100 | Integer |\n| `1[2]` | Compatible ignore | String |\n| `1[3]` | Ability detail level, 1-Srong, 2-Above average, 3-Weak, 4-Below average | Integer |\n"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/thesports-docs/advanced-data/team-ability.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
